> ## Documentation Index
> Fetch the complete documentation index at: https://developers.referly.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Referrals

> Deletes a referral based on the ID provided



## OpenAPI

````yaml DELETE /referrals
openapi: 3.0.1
info:
  title: Referly API
  description: API for managing affiliates, referrals, and sales for SaaS businesses
  version: 1.0.0
servers:
  - url: https://www.referly.so/api/v1
security:
  - bearerAuth: []
paths:
  /referrals:
    delete:
      summary: Delete a referral
      description: Deletes a referral based on the ID provided
      requestBody:
        description: Referral update details
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReferralDelete'
      responses:
        '204':
          description: Referral deleted successfully
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ReferralDelete:
      type: object
      required:
        - referralId
      properties:
        referralId:
          type: string
          format: uuid
          description: The referral ID to delete
    Error:
      type: object
      properties:
        error:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````